Sankeys
Draft Sankey
POST
apiKeyAuthheader
x-api-key<token>FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
idOrSlug*stringapplication/json- body
prompt*stringLength
length <= 1000current*|nullpoints*array<string>Items
items <= 300Success
application/json- response
name*stringdefinition*display*curl -X POST 'https://api.faststats.dev/v0/projects/string/sankeys/draft' \ -H 'Content-Type: application/json' \ -d '{ "prompt": "string", "current": { "name": "string", "definition": {}, "display": {} }, "points": [ "string" ]}'Example Response
{ "name": "string", "definition": { "days": 1, "stepCount": 2, "nodesPerStep": 2, "minSessions": 1, "pathType": "all", "walkBy": "session", "pageLabel": "path", "groupUrls": true, "collapseRepeats": true, "startPoint": "string", "startOccurrence": "first", "endPoint": "string", "endOccurrence": "first", "include": [ "string" ], "exclude": [ "string" ], "rules": [ { "pattern": "string", "replacement": "string" } ], "filters": [ { "field": "step", "operator": "is", "values": [ "string" ] } ], "goal": "string", "maxGapMinutes": 0, "hideSingleStep": true, "eventProperty": "string", "breakdown": "country", "compare": true }, "display": { "view": "flow", "values": "count", "showDropOffs": true, "showOther": true }}curl -X POST 'https://api.faststats.dev/v0/projects/string/sankeys/draft' \
-H 'Content-Type: application/json' \
-d '{
"prompt": "string",
"current": {
"name": "string",
"definition": {},
"display": {}
},
"points": [
"string"
]
}'{
"name": "string",
"definition": {
"days": 1,
"stepCount": 2,
"nodesPerStep": 2,
"minSessions": 1,
"pathType": "all",
"walkBy": "session",
"pageLabel": "path",
"groupUrls": true,
"collapseRepeats": true,
"startPoint": "string",
"startOccurrence": "first",
"endPoint": "string",
"endOccurrence": "first",
"include": [
"string"
],
"exclude": [
"string"
],
"rules": [
{
"pattern": "string",
"replacement": "string"
}
],
"filters": [
{
"field": "step",
"operator": "is",
"values": [
"string"
]
}
],
"goal": "string",
"maxGapMinutes": 0,
"hideSingleStep": true,
"eventProperty": "string",
"breakdown": "country",
"compare": true
},
"display": {
"view": "flow",
"values": "count",
"showDropOffs": true,
"showOther": true
}
}